%define _enable_debug_packages %{nil}
%define debug_package          %{nil}


%define name		a52dec
%define major		0
%define libname		lib%{name}
%define fulllibname	%mklibname %{name} %{major}
%define version 0.7.4

Name:		%{name}
Version:	%{version}
Release:	%mkrel 13
Summary:	A free ATSC A/52 stream decoder library
Summary(de): 	Freie ATSC A752 Stream Decoder Bibliothek
License:	GPL
Group:		Video
URL:		http://liba52.sourceforge.net
Source:		%{name}-%{version}.tar.xz
Patch0:		a52dec-0.7.4-pic.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	liba52-apps
Provides:	liba52-apps
Requires:	%{fulllibname} = %{version}
BuildRequires:	chrpath

%description
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

#german
%description -l de
liba52 ist eine freie Bibliothek zum dekodieren von ATSC A/52 Streams.

Der A/52 ist Standard und wird in eine vielzahl von Anwendungen verwendet,
inklusive digitales Fernseh und DVD. Es ist auch bekannt als AC-3.

%package -n %{fulllibname}
Summary:	Libraries for %{name}
Summary(de):	Bibliotheken für %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	liba52dec_0
Obsoletes:	liba52_0
Obsoletes:	liba520
Provides:	liba52dec_0
Provides:	liba52_0
Provides:	liba520

%description -n %{fulllibname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains libraries needed to run programs linked with %{name}.

#german
%description -n %{fulllibname} -l de
liba52 ist eine freie Bibliothek zum dekodieren von ATSC A/52 Streams.

Der A/52 ist Standard und wird in eine vielzahl von Anwendungen verwendet,
inklusive digitales Fernseh und DVD. Es ist auch bekannt als AC-3.

Dieses Paket wird benötigt zum ausführen von Programme verlinkt mit %{name}.

%package -n %{fulllibname}-devel
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Development/C
Requires:	%{fulllibname} = %{version}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	liba52dec_0-devel
Obsoletes:	liba52_0-devel
Obsoletes:	liba520-devel
Provides:	liba52dec_0-devel
Provides:	liba52_0-devel
Provides:	liba520-devel

%description -n %{fulllibname}-devel
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains development files needed to compile programs which
use %{name}.

#german
%description -n %{fulllibname}-devel -l de
liba52 ist eine freie Bibliothek zum dekodieren von ATSC A/52 Streams.

Der A/52 ist Standard und wird in eine vielzahl von Anwendungen verwendet,
inklusive digitales Fernseh und DVD. Es ist auch bekannt als AC-3.

Dieses Paket beinhaltet die Headerdateien zum erstellen von Programme 
basierend auf %{name}.

%prep
%setup -q
%apply_patches


%build
autoreconf -vfi
export CFLAGS="%optflags -fPIC"
%configure2_5x \
	--enable-shared \
	--disable-static
%make

%install
%makeinstall_std
chrpath -d %{buildroot}%{_bindir}/%{name}

# we don't want these
find %{buildroot} -name "*.la" -delete

%post -n %{fulllibname}
/sbin/ldconfig

%postun -n %{fulllibname}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO HISTORY
%{_bindir}/*
%{_mandir}

%files -n %{fulllibname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{fulllibname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Jun 08 2019 tex - 0.7.4-13pclos2019
- rebuild against updates

* Wed Feb 29 2012 leiche <meisssw01 at gmail.com> 0.7.4-12pclos2012
- rebuild
- add german description
- convert archiv to tar.xz
 
* Wed Sep 23 2009 pcserver <pcserver at hush.com>
- update & rebuild

* Sat Oct 28 2006 Texstar <texstar@houston.rr.com>
- initial build for pclinuxos 2007
